package cn.com.poc.thirdparty.resource.demand.pay.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author Roger Wu
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class WxH5PayDto {

    /**
     * 客户端 IP
     */
    private String clientIp;

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }

    /**
     * 订单编号
     * TODO:即将废除
     */
    private String outTraceNo;

    public String getOutTraceNo() {
        return outTraceNo;
    }

    public void setOutTraceNo(String outTraceNo) {
        this.outTraceNo = outTraceNo;
    }

    /**
     * 订单编号
     */
    private String payOrderSn;

    public String getPayOrderSn() {
        return payOrderSn;
    }

    public void setPayOrderSn(String payOrderSn) {
        this.payOrderSn = payOrderSn;
    }

    /**
     * 币种
     */
    private String currency;

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * 金额(分)
     */
    private Integer amount;

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

}
